Sécurité

Flash Player 9 et les versions ultérieures, Adobe AIR 1.0 et les versions ultérieures

La sécurité est une préoccupation essentielle pour Adobe, les utilisateurs, les propriétaires de sites Web et les développeurs de contenu. C’est la raison pour laquelle Adobe® Flash® Player et Adobe® AIR™ incluent un ensemble de contrôles et de règles de sécurité qui protègent l’utilisateur, le propriétaire du site Web et le développeur du contenu. Les sections ci-après passent en revue le modèle de sécurité des fichiers SWF publiés en ActionScript 3.0 et qui s’exécutent dans Flash Player 9.0.124.0 ou ultérieur, ainsi que des fichiers SWF, HTML et JavaScript qui s’exécutent dans AIR 1.0 ou ultérieur, sauf mention contraire.

Les présentes sections visent à offrir une présentation générale de la sécurité et non à apporter une explication exhaustive de tous les détails de l’implémentation, des scénarios d’exploitation ou des ramifications de l’utilisation de certaines API. Pour plus d’informations sur les concepts de sécurité de Flash Player, voir la rubrique « Sécurité » du Centre des développeurs de Flash Player à l’adresse www.adobe.com/go/devnet_security_fr.